* PACKAGE ASETC  !" 共通 定数(座標値)
*
*"  [HIS] 92/09/11(takepiro)
*
***********************************************************************
      SUBROUTINE SETCOR     !"  モデル座標定数の計算 
     O         ( ALON  , DLON  ,
     O           ALAT  , DLAT  ,
     O           ARAD  , DRAD    )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       ALON  ( IDIM )              !" 経度
      REAL       DLON  ( IDIM )              !" 経度荷重
      REAL       ALAT  ( JDIM )              !" 緯度
      REAL       DLAT  ( JDIM )              !" 緯度荷重
      REAL       ARAD  ( 0:KDIM )              !" ｒレベル(整数)
      REAL       DRAD  ( 0:KDIM )              !" Δｒ(整数)
*
#ifdef SYS_IBMS
      INCLUDE   (ZHDIM)                      !" 文字列文字数
#else
#include        "zhdim.F"                    !" 文字列文字数
#endif
      CHARACTER  HALON  *(NCC)               !" 経度軸名称
      CHARACTER  HALAT  *(NCC)               !" 緯度軸名称
      CHARACTER  HARAD  *(NCC)               !" 鉛直軸名称：整数
*
*"         < 1. 座標値のセット >
*
      CALL SETLON
     O         ( ALON  , DLON  , HALON ,
     D           IMAX  , IDIM            )
*
      CALL SETLAT
     O         ( ALAT  , DLAT  , HALAT ,
     D           JMAX  , JDIM            )
*
      CALL SETRAD
     O         ( ARAD  , DRAD  , HARAD ,
     D           KDIM                     )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORD
     I         ( HALON , HALAT , HARAD ,
     I           ALON  , ALAT  , ARAD  ,
     I           DLON  , DLAT  , DRAD    )
*
      RETURN
*======================================================================
      ENTRY      STNCOR      !"  モデル座標名の設定 
*
      CALL STNLON
     O         ( HALON ,
     I           IMAX   )
*
      CALL STNLAT
     O         ( HALAT ,
     I           JMAX   )
*
      CALL STNRAD
     O         ( HARAD ,
     I           KDIM   )
*
*"         < 2. 座標系の設定 >
*
      CALL HSCORN
     I         ( HALON , HALAT , HARAD  )
*
      RETURN
      END
